/**
*** \file preferences_test_preferences_moondata_panel.cpp
*** \brief Class 'PREFERENCES_C::MOONDATA_C::PANEL_C' unit test file.
*** \details Unit test file for the 'PREFERENCES_C::MOONDATA_C::PANEL_C' class.
**/

/*
** This file is part of moonphase.
** Copyright (C) 2014-2023 Alan Wise <awisesoftware@gmail.com>.
**
** This program is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation, either version 3 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/


/**
*** \internal
*** \brief preferences_test_preferences_moondata_panel.cpp identifier.
*** \details Identifier for preferences_test_preferences_moondata_panel.cpp.
*** \endinternal
**/
#define   PREFERENCES_TEST_PREFERENCES_MOONDATA_PANEL_CPP


/****
*****
***** INCLUDES
*****
****/


/****
*****
***** DEFINES
*****
****/


/****
*****
***** DATA TYPES
*****
****/


/****
*****
***** CLASSES
*****
****/


/****
*****
***** PROTOTYPES
*****
****/


/****
*****
***** DATA
*****
****/


/****
*****
***** VARIABLES
*****
****/


/****
*****
***** FUNCTIONS
*****
****/


/****
*****
***** TESTS
*****
****/

BOOST_AUTO_TEST_SUITE(Class__PREFERENCES_MOONDATA_PANEL)
  BOOST_AUTO_TEST_SUITE(Function__DefaultConstructor)
    BOOST_AUTO_TEST_CASE(Test_00)
    {
      std::unique_ptr<PREFERENCES_C::MOONDATA_C::PANEL_C> pPreferences;


      pPreferences.reset(new PREFERENCES_C::MOONDATA_C::PANEL_C());

      BOOST_CHECK(pPreferences.get()!=nullptr);

      delete pPreferences.release();
    }
  BOOST_AUTO_TEST_SUITE_END()
BOOST_AUTO_TEST_SUITE_END()

#undef    PREFERENCES_TEST_PREFERENCES_MOONDATA_PANEL_CPP


/**
*** preferences_test_preferences_moondata_panel.cpp
**/
