/**
*** \file desktop_stub.cpp
*** \brief Module 'desktop' stub implementation file.
*** \details Stub implementation file for the 'desktop' module.
**/

/*
** This file is part of moonphase.
** Copyright (C) 2014-2023 Alan Wise <awisesoftware@gmail.com>.
**
** This program is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation, either version 3 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/


/**
*** \internal
*** \brief desktop_stub.cpp identifier.
*** \details Identifier for desktop_stub.cpp.
*** \endinternal
**/
#define   DESKTOP_STUB_CPP


/****
*****
***** INCLUDES
*****
****/

#include  "desktop.h"


/****
*****
***** DEFINES
*****
****/


/****
*****
***** DATA TYPES
*****
****/


/****
*****
***** CLASSES
*****
****/


/****
*****
***** PROTOTYPES
*****
****/


/****
*****
***** DATA
*****
****/


/****
*****
***** VARIABLES
*****
****/


/****
*****
***** FUNCTIONS
*****
****/

COLOR_C GetDesktopWindowBackgroundColor(void)
{
  return(COLOR_C());
}

FONT_C GetDesktopWindowFont(void)
{
  return(FONT_C());
}

COLOR_C GetDesktopWindowTextColor(void)
{
  return(COLOR_C());
}


#undef    DESKTOP_STUB_CPP


/**
*** desktop_stub.cpp
**/
