/**
*** \file testmoonphaseqt.cpp
*** \brief Module 'moonphaseqt' test file.
*** \details Test file for the 'testmoonphaseqt' module.
**/

/*
** This file is part of moonphase.
** Copyright (C) 2014-2023 Alan Wise <awisesoftware@gmail.com>.
**
** This program is free software: you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation, either version 3 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/


/**
*** \internal
*** \brief testmoonphaseqt.cpp identifier.
*** \details Identifier for testmoonphaseqt.cpp.
*** \endinternal
**/
#define   TESTMOONPHASEQT_CPP

/* GCOVR_ EXCL_START LCOV_ EXCL_START */


/****
*****
***** INCLUDES
*****
****/

#include  "config.h"

/**
*** \brief Master test suite name.
*** \details The name of the master test suite.
**/
#define   BOOST_TEST_MODULE   MOONPHASEQT_EXECUTABLENAME
#include  <boost/test/included/unit_test.hpp>


/****
*****
***** DEFINES
*****
****/


/****
*****
***** DATA TYPES
*****
****/


/****
*****
***** CLASSES
*****
****/


/****
*****
***** PROTOTYPES
*****
****/


/****
*****
***** DATA
*****
****/


/****
*****
***** VARIABLES
*****
****/


/****
*****
***** FUNCTIONS
*****
****/


/****
*****
***** TESTS
*****
****/

/**
*** \brief Master test suite name.
*** \details The name of the master test suite.
**/
#define   BOOST_TEST_MODULE   "Template"
#include  <boost/test/included/unit_test.hpp>

BOOST_AUTO_TEST_SUITE(Module__template_cpp)
  BOOST_AUTO_TEST_SUITE(Class__)
    BOOST_AUTO_TEST_SUITE(Function__)
      BOOST_AUTO_TEST_CASE(Test_00)
      {
        BOOST_TEST(false);
      }
    BOOST_AUTO_TEST_SUITE_END()
  BOOST_AUTO_TEST_SUITE_END()
BOOST_AUTO_TEST_SUITE_END()

/* LCOV_ EXCL_STOP GCOVR_ EXCL_STOP */


#undef    TESTMOONPHASEQT_CPP


/**
*** testmoonphaseqt.cpp
**/
